Subject: bug#19201: 24.4.51; Faulty interaction between overlays with display-related properties in TTY

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Nov 2014 10:18:20 +0200

> Date: Fri, 28 Nov 2014 02:02:54 +0200
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked]
> 
> On 11/27/2014 06:41 PM, Eli Zaretskii wrote:
> 
> > Evidently, the Founding Fathers never meant for us to use display
> > properties on after-strings that specify display on the fringe.  Emacs
> > 22 and 23 infloop if you try your recipe on a TTY there.  Emacs 24.1
> > is the first release that doesn't, and it already has this bug.
> 
> The given example uses before-string, but I guess you mean both.
> 
> That's odd, though, because when used with overlays, before- and 
> after-strings are the most flexible for this and similar use cases.

When looked upon from a user POV, I agree.  But from the
implementation POV, I'm telling you: it's a nightmare.  The state
machine in handle_stop alone is bad enough.  That stuff is in sore
need of refactoring, but I'm too coward^H^H^H^H^H^Hbusy to do that
myself.